/// <reference path="jquery-1.10.2.min.js" />
var ids = 1;
var i = 0;
var timer;

function zan_ok() {
    var gamesid = $.trim($("#gamesid").val());
    $.post("/ajax/GameBase.ashx", { "type": "DianZan", "gamesid": gamesid, "ids": ids }, function (data) {
        var data = eval('(' + data + ')');
        if (data.Success == true) {
            alert("点赞成功");
            location.reload();

        } else {
            if (data.Success == false) {
                alert("不能重复点赞哟^_^，请贵人明天再来吧！！！");

            } else {
                alert("点赞失败");
            }

        }



    })

}
function dows_ok() {
    var gamesid = $.trim($("#gamesid").val());
    $.post("/ajax/GameBase.ashx", { "type": "DownTj", "gamesid": gamesid, "ids": ids }, function (data) {

    })

}


function cai_no() {
    var gamesid = $.trim($("#gamesid").val());
    $.post("/ajax/GameBase.ashx", { "type": "Cai", "gamesid": gamesid, "ids": ids }, function (data) {
        var data = eval('(' + data + ')');
        if (data.Success == true) {
            alert("点踩成功");
            location.reload();
        } else {
            if (data.Success == false) {
                alert("啊！别再踩了，饶了我吧，等下把我踩坏了可不得了了！！！");

            } else {
                alert("点踩失败");

            }

        }



    })
}

$(function () {

    $(".rank-toggle .rank-item").on("mouseover", function () {
        $(this).siblings(".rank-item").removeClass("on");
        $(this).addClass("on");
    })
    $(".soft_side_toggle ").on("mouseover", function () {
        $(this).siblings(".soft_side_toggle ").removeClass("on");
        $(this).addClass("on");
    })

})





$(function () {
    $(".J_slide_inner .item").eq(0).show().siblings().hide();
    $(".J_slide_tmb").eq(0).addClass("on").siblings().removeClass("on")
    showtmbtab()
    $(".J_slide_tmb").hover(function () {
        clearInterval(timer);
        i = $(this).index();
        showpictab()

    }, function () {
        showtmbtab()
    });
    $(".btn-prev").click(function () {
        clearInterval(timer);
        i--;
        if (i == -1) {
            i = 9;

        }
        showpictab()
        showtmbtab()
    })
    $(".btn-next").click(function () {
        clearInterval(timer);
        i++;
        if (i == 10) {
            i = 0;

        }
        showpictab()
        showtmbtab()
    })
})

function showpictab() {
    $(".J_slide_inner .item").eq(i).show().siblings().hide();
    $(".J_slide_tmb").eq(i).addClass("on").siblings().removeClass("on")

}
function showtmbtab() {
    timer = setInterval(function () {
        i++;
        if (i == 10) {
            i = 0;

        }
        showpictab()
    }, 3000);

}


$(function () {

    $('.tab-item').on("mouseover", function () {

        $(this).addClass("cur").siblings().removeClass("cur");

        var index = $(this).index();

        $(".tab-cont-item:eq(" + index + ")").show().siblings("ul").hide();


    })
})

$(function () {

    $('.c-rank .item').on("mouseover", function () {

        $(this).addClass("cur").siblings().removeClass("cur");

        var index = $(this).index();

        $(".rank-list .tab-cont-item:eq(" + index + ")").show().siblings("ul").hide();


    })
})

$(function () {
   
    $('.J_ctrl_az_cont').on('click', function () {
        if ($(this).prev().height() > 740) {
            $(this).toggleClass('toggle').prev().toggleClass('summary');
        } else {
            $(this).removeClass('toggle').prev().removeClass('summary');
        }

    })


})